# Generated from flakey_spec_catcher-0.10.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name flakey_spec_catcher

Name: rubygem-%{gem_name}
Version: 0.10.0
Release: 1%{?dist}
Summary: Run new or changed specs many times to prevent unreliable specs
License: MIT
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.6
# BuildRequires: rubygem(byebug) >= 11.1
# BuildRequires: rubygem(byebug) < 12
# BuildRequires: rubygem(climate_control) >= 0.2
# BuildRequires: rubygem(climate_control) < 1
# BuildRequires: rubygem(rubocop) >= 0.93.1
# BuildRequires: rubygem(rubocop) < 0.94
# BuildRequires: rubygem(simplecov) >= 0.19
# BuildRequires: rubygem(simplecov) < 1
BuildArch: noarch

%description
Run new or changed specs many times to prevent unreliable specs.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{_bindir}/flakey_spec_catcher
%exclude %{gem_instdir}/.gitignore
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/flakey_spec_catcher.gemspec

%changelog
* Mon Sep 13 2021 mockbuilder - 0.10.0-1
- Initial package
